package com.qmth.boot.tools.syntax;

/**
 * 多对象判断选择的语法简化工具
 */
public class Optional {

    /**
     * 输入多个可选对象，返回第一个非空
     *
     * @param array
     * @param <T>
     * @return
     */
    public static <T> T firstNotNull(T... array) {
        if (array != null) {
            for (T obj : array) {
                if (obj != null) {
                    return obj;
                }
            }
        }
        return null;
    }
}
